# Copyright (C) 2018-2020 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from django.core.management.base import BaseCommand
from django.db import connection


class Command(BaseCommand):
    """
    Command to protect sensitive data during the beta phase, to prevent a right escalation.
    Phone number, email address, postal address, first and last name are removed.
    """
    def handle(self, *args, **kwargs):
        cur = connection.cursor()
        cur.execute("UPDATE member_profile SET "
                    "phone_number = '0123456789', "
                    "address = '4 avenue des Sciences, 91190 GIF-SUR-YVETTE';")
        cur.execute("UPDATE auth_user SET "
                    "first_name = 'Anne', "
                    "last_name = 'Onyme', "
                    "email = 'anonymous@example.com';")
        cur.execute("UPDATE member_club SET "
                    "email = 'anonymous@example.com';")
        cur.close()
